<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Country extends Model
{
    protected $fillable = ['name','name_ar', 'status', 'dial_code','flag_icon'];
    protected $translatable = ['name'];

    public function getFlagIconAttribute($icon){

        return get_uploaded_image_url( $icon, 'flag_image_upload_dir', 'camera_placeholder.png' );
        
    }
    public function getAttributes()
    {
        foreach($this->translatable as $attribute) {
            $locale = app()->getLocale();
            $localizedKey = "{$attribute}_{$locale}";
            if (isset($this->attributes[$localizedKey])) {
                $this->attributes[$attribute] =  (empty($this->attributes[$localizedKey]))?$this->attributes["{$attribute}"]:$this->attributes[$localizedKey];
            }
        }
        return $this->attributes;
    }
}
